Skip to content
View as Markdown

GET Get Campaign Status​

GET
/campaigns/{id}/status

Get the comprehensive status and analytics of a campaign. This is the primary endpoint for the campaign status/reporting page. Returns campaign details, email delivery statistics broken down by status, sent count, open/click analytics (for archived campaigns), and A/B subject line performance. For working campaigns, it also manages stuck email recovery and automatic archival.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Parameters​

Path Parameters

id*

The campaign ID.

Type
integer
Required

Query Parameters

request_counter

Counter for polling requests. Used internally to trigger periodic cleanup of stuck emails (every 4th request).

Type
integer

Responses​

Campaign status retrieved successfully.

application/json
JSON
{
"current_timestamp": "string",
"stat": [
{
"status": "string",
"total": 0
}
],
"campaign": {
"id": 0,
"title": "string",
"status": "string",
"recipients_count": 0,
"scheduled_at": "string",
"settings": {
},
"sent_by": "string",
"open_tracking_status": "string",
"click_tracking_status": "string",
"scheduling_range": {
},
"created_at": "string",
"updated_at": "string"
},
"sent_count": 0,
"analytics": {
"open": {
"total": 0,
"subtitle": "string"
},
"click": {
"total": 0,
"subtitle": "string"
}
},
"subject_analytics": {
}
}

Playground​

Authorization
Variables
Key
Value

Samples​

Powered by VitePress OpenAPI